Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001004graphvizDotpublic2005-11-21 16:082011-04-28 04:03
ReporterStephen North 
Assigned Toellson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Linux-OS Version
Summary0001004: Postscript clip/margins wrong
Description



The layout is clipped too much on the bottom and left
and has whitespace on the top and right.
Steps To Reproduce

digraph G { a }
Additional Information

I'm sure this used to work properly.

Technically, the clip box should be enlarged for the line width of the
nodes next to the boundary but this seems like a lot of work. I would
at least like the defaults to look OK.

[ellson]
There are three problems here:
<CD>
   1. 1 point too much space upper-right
   2. -Gmargin broken in -Tps ouput (defaults to 5 points)
   3. graph bb from layout engine doesn't account for line widths
      on outside node shapes
</CD>
1 and 2 are fixed in lib/common/psgen.c -r 1.31
3 needs to be fixed in the layout engines.
It only shows up at -Gmargin=0, so we could all just ignore it if you like.


Useful test cases:

<CD>
   # graph is symmetric in page with margin
   echo 'digraph G {a}' | dot -Tps2

   # graph is symmetric l-r t-b with no margin but
   # *FIXME* currently clips 1/2 line width
   echo 'digraph G {a}' | dot -Tps2 -Gmargin=0

   # graph pages butt-join with 5 point overlap
   echo 'digraph G {a->b->c->d->e}' | dot -Tps2 -Gpage="2,2"

   # graph pages butt-join with 0 overlap but
   # *FIXME* currently clips 1/2 line width at boundary of graph
   echo 'digraph G {a->b->c->d->e}' | dot -Tps2 -Gpage="2,2" -Gmargin=0
</CD>
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID825
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENTFixed (29 Nov 2005)
VERSION     2.7
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker